> ## Documentation Index
> Fetch the complete documentation index at: https://docs.slate-labs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Acknowledge Alert



## OpenAPI

````yaml /openapi.json patch /risk/exposure/alerts/{alert_id}/ack
openapi: 3.1.0
info:
  title: Slate API
  version: 1.0.0
  description: Trading infrastructure API.
servers:
  - url: https://api.{your-broker}.slate-labs.com
    variables:
      your-broker:
        default: broker
security: []
tags:
  - name: Authentication
  - name: API Tokens
  - name: Customers
  - name: Accounts
  - name: Orders
  - name: Instruments & Groups
  - name: Transactions
  - name: Payments
  - name: Transfers
  - name: Risk
  - name: Workflow & CRM
  - name: Messaging
  - name: Integrations
  - name: Webhooks
  - name: Compliance
  - name: Promo codes
  - name: Reporting
  - name: Audit
  - name: Fraud & moderation
  - name: Broker settings
  - name: Users
  - name: Roles & Teams
  - name: Streams (SSE)
  - name: Simulator
  - name: Observability
  - name: Prop trading
paths:
  /risk/exposure/alerts/{alert_id}/ack:
    patch:
      tags:
        - Risk
      summary: Acknowledge Alert
      operationId: acknowledge_alert_risk_exposure_alerts__alert_id__ack_patch
      parameters:
        - name: alert_id
          in: path
          required: true
          schema:
            type: integer
            title: Alert Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AcknowledgeRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExposureAlertResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AcknowledgeRequest:
      properties:
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
      type: object
      title: AcknowledgeRequest
    ExposureAlertResponse:
      properties:
        id:
          type: integer
          title: Id
        alert_type:
          type: string
          title: Alert Type
        scope:
          type: string
          title: Scope
        symbol:
          anyOf:
            - type: string
            - type: 'null'
          title: Symbol
        exposure_usd:
          type: number
          title: Exposure Usd
        threshold_usd:
          type: number
          title: Threshold Usd
        breach_pct:
          anyOf:
            - type: number
            - type: 'null'
          title: Breach Pct
        webhook_status:
          type: string
          title: Webhook Status
        resolved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved At
        acknowledged_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Acknowledged By
        acknowledged_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Acknowledged At
        note:
          anyOf:
            - type: string
            - type: 'null'
          title: Note
        created_at:
          type: string
          format: date-time
          title: Created At
      type: object
      required:
        - id
        - alert_type
        - scope
        - symbol
        - exposure_usd
        - threshold_usd
        - breach_pct
        - webhook_status
        - resolved_at
        - acknowledged_by
        - acknowledged_at
        - note
        - created_at
      title: ExposureAlertResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````